Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/4801/?format=api
{ "ob_id": 4801, "uuid": "89a4830fb0fcfb64e14a8204c58098e9", "title": "Convective Storm Initiation Project (CSIP): temperature, humidity and wind profiles from the University of Leeds Sodar 2 at the Alice Holt site, Hampshire", "abstract": "The University of Leeds Sodar 2 dataset contains measurements of the scattering of sound waves by atmospheric turbulence at Alice Holt, Hampshire over the period from the 22nd of June 2005 to the 22nd of August 2005. The dataset contains measurements of wind speed at various heights above the ground, and the thermodynamic structure of the lower layer of the atmosphere.", "keywords": "CSIP, Sodar", "publicationState": "published", "dataPublishedTime": "2006-08-17T13:54:03", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/4802/?format=api", "dataPath": "/badc/csip/data/leeds-sodar2", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 20360729, "numberOfFiles": 119, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1380/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/808/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52682/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52683/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/53069/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/53070/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/53071/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/53072/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55182/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/60438/?format=api" ], "dataLineage": "Data were collected by the instrument scientist during the campaign before preparation and delivery to the Convective Storm Initiation Project (CSIP) participants and then to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3216/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/4614/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4611/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21866/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42832/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21865/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21867/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21868/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21869/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21871/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42835/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54579/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/4803/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }